For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
Logo
GuidesAPI Reference
  • API Reference
      • GETGet Connection Types
      • GETGet Connection Type
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • POSTTest Connection
      • GETGet Connection
      • PUTUpdate Connection
      • DELDelete Connection
      • GETConnection Parameter Values
      • POSTExecute Connection Proxy
      • GETGet Connection Proxy Info
      • GETList Current Org Shared Connections
      • GETList Partner Shared Connections
      • POSTCreate Partner Shared Connection
Log inBook a demo
API ReferenceConnections

Delete Connection

DELETE
https://app.polytomic.com/api/connections/:id
DELETE
/api/connections/:id
$curl -X DELETE https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "Authorization: Bearer <token>"

Deletes a connection.

🚧 Deleting a connection that is referenced by fieldsets, syncs, bulk syncs, or schedules returns 422 connection in use unless you pass force=true. With force=true, the API deletes those dependent resources before removing the connection.

Was this page helpful?
Previous

Connection Parameter Values

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringOptional

Query parameters

forcebooleanOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error